@font-face {
  font-family: Fredoka;
  src: url(../assets/fonts/stimcard.ttf);
}

.hidden {
  display: none !important;
}

* {
  font-family: 'Fredoka', sans-serif;
  font-size: medium;
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  color: white;
}

body {
  background-color: #1e1e1e;
  padding: 0.75rem;
}

#background {
  background-image: url('/assets/images/body-background.png');
  background-size: cover;
  background-repeat: no-repeat;
  position: fixed;
  inset: 0;
  z-index: -1;
  opacity: 0.1;
}

.column-container {
  display: flex;
  width: 100%;
  flex-direction: row;
  flex-wrap: nowrap;
  gap: 3px;
  flex: 1;
  opacity: 0.8;
  max-width: 700px;
}

.column {
  display: flex;
  flex-direction: column;
  flex: 1;
  gap: 3px;
}

.column > * {
  height: 2rem;
  font-size: larger;
  text-align: center;
  vertical-align: middle;
  display: flex;
  justify-content: center;
  justify-items: center;
  align-items: center;
}

.column input {
  width: 100%;
  flex: 1;
  text-align: center;
  border: none;
  position: relative;
  opacity: 0.93;
  color: black;
  border-radius: 3px;
}

.column img {
  height: 90%;
  border-radius: 2px;
}

.column input:focus {
  background-color: gray;
  color: white;
  outline: none;
  border: none;
}

.column input.last {
  background-color: gray;
  color: white;
  outline: none;
  border: none;
}

.column input[readonly] {
  background-color: lightgray;
}

.column-container .column:first-child {
  width: 20%;
  min-width: 7rem;
}

.column-container .column:first-child div,
.column-container .column div:first-child {
  background-color: lightgray;
  color: black;
  border-radius: 3px;
}

.column-container .column div:first-child {
  height: 2.5rem;
  font-size: large;
}

.column-container .column:first-child input {
  width: 20%;
  min-width: 7rem;
}

.column:last-child input:last-child {
  background-color: gray;
  color: white;
}

.swal-number-row {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  width: 100%;
  gap: 0.75rem;
}

.swal-number-row .modal-row {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: center;
  gap: 0.5rem;
  border: 1px solid gray;
  border-radius: 10px;
  padding: 0.25rem;
}

.swal-number-row .modal-row {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: center;
  gap: 0.5rem;
  border: 1px solid gray;
  border-radius: 10px;
  padding: 0.5rem;
  color: black;
}

.modal-row.selected {
  background-color: rgb(187, 187, 187);
}

.swal-number-row .modal-row img {
  border-radius: 4px;
  max-height: 2rem;
}
.swal2-popup.swal2-modal.swal2-show {
  background: rgb(231, 231, 231);
}

.twopairs-columns {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: space-between;
  gap: 1rem;
}

.twopairs-columns .column {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  gap: 0.5rem;
}

.twopairs-columns .column .modal-row {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: center;
  gap: 0.5rem;
  border: 1px solid gray;
  border-radius: 10px;
  padding: 0.5rem;
  height: auto;
}

.twopairs-columns .column .modal-row img {
  border-radius: 4px;
  max-height: 2rem;
  height: 2rem;
}

#swal2-title div {
  position: relative;
  max-width: 100%;
  margin: 0;
  padding: 0.8em 1em 0;
  color: inherit;
  font-size: 1em;
  font-weight: 600;
  text-align: center;
  text-transform: none;
  word-wrap: break-word;
}

#swal2-title div::after {
  content: attr(data-bonus);
  position: absolute;
  right: 50%;
  bottom: -0.95rem;
  font-size: 20px;
  color: #7066e0;

  animation: heartbeat 1s infinite;
}
@keyframes heartbeat {
  0%,
  100% {
    transform: translateX(calc(50% + 5rem)) rotate(344deg) scale(1);
  }
  50% {
    transform: translateX(calc(50% + 5rem)) rotate(344deg) scale(1.2);
  }
}
